NOLOGIN(8)

NUME
nologin - refuză în mod politicos o autentificare

REZUMAT

nologin [-V] [-h]

DESCRIERE

nologin afișează un mesaj care indică faptul că un cont nu este disponibil și iese cu o valoare diferită de zero. Este destinat să înlocuiască câmpul de shell pentru a refuza accesul de autentificare la un cont.

În cazul în care fișierul /etc/nologin.txt există, nologin afișează utilizatorului conținutul acestuia în loc de mesajul implicit.

Starea de ieșire returnată de nologin este întotdeauna 1.

OPȚIUNI

-c, --command comanda

--init-file

-i --interactive

--init-file fișier

-i, --interactive

-l, --login

--noprofile

--norc

--posix

--rcfile fișier

-r, --restricted

Aceste opțiuni din linia de comandă a shell-ului sunt ignorate pentru a evita eroarea nologin.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

NOTE

nologin este o modalitate de dezactivare a autentificării pentru fiecare cont în parte (utilizată de obicei pentru conturile de sistem, cum ar fi http sau ftp). nologin utilizează /etc/nologin.txt ca sursă opțională pentru un mesaj care nu este predefinit, accesul la login este întotdeauna refuzat independent de fișier.

pam_nologin(8) Modulul PAM previne de obicei ca toți utilizatorii care nu sunt root să se conecteze la sistem. Funcționalitatea pam_nologin(8) este controlată de /var/run/nologin sau de fișierul /etc/nologin.

ISTORIC

Comanda nologin a apărut în 4.4BSD.

AUTORI

CONSULTAȚI ȘI

login(1), passwd(5), pam_nologin(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda nologin face parte din pachetul util-linux care poate fi descărcat de la